<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFBReader.SheetIterator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFBReader.SheetIterator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBReader.SheetIterator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFBReader.SheetIterator.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFBReader.SheetIterator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.eventusermodel</div>
    <h2 title="Class XSSFBReader.SheetIterator" class="title">Class XSSFBReader.SheetIterator</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html"
                       title="class in org.apache.poi.xssf.eventusermodel">org.apache.poi.xssf.eventusermodel.XSSFReader.SheetIterator</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.eventusermodel.XSSFBReader.SheetIterator</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.util.Iterator&lt;java.io.InputStream&gt;</dd>
                </dl>
                <dl>
                    <dt>Enclosing class:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.html"
                           title="class in org.apache.poi.xssf.eventusermodel">XSSFBReader</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public static class <span class="typeNameLabel">XSSFBReader.SheetIterator</span>
extends <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html"
           title="class in org.apache.poi.xssf.eventusermodel">XSSFReader.SheetIterator</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/model/CommentsTable.html"
                                        title="class in org.apache.poi.xssf.model">CommentsTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.SheetIterator.html#getSheetComments--">getSheetComments</a></span>()</code>
                                    <div class="block">Not supported by XSSFBReader's SheetIterator.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                                        title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.SheetIterator.html#getXSSFBSheetComments--">getXSSFBSheetComments</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.eventusermodel.XSSFReader.SheetIterator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.eventusermodel.<a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html"
                                        title="class in org.apache.poi.xssf.eventusermodel">XSSFReader.SheetIterator</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#getSheetName--">getSheetName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#getSheetPart--">getSheetPart</a>,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#hasNext--">hasNext</a>,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#next--">next</a>,
                                    <a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#remove--">remove</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.util.Iterator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.util.Iterator</h3>
                                <code>forEachRemaining</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSheetComments--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetComments</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/model/CommentsTable.html"
                                                    title="class in org.apache.poi.xssf.model">CommentsTable</a>&nbsp;getSheetComments()</pre>
                                <div class="block">Not supported by XSSFBReader's SheetIterator.
                                    Please use <a
                                            href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.SheetIterator.html#getXSSFBSheetComments--"><code>getXSSFBSheetComments()</code></a>
                                    instead.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html#getSheetComments--">getSheetComments</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.SheetIterator.html"
                                                title="class in org.apache.poi.xssf.eventusermodel">XSSFReader.SheetIterator</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>nothing, always throws IllegalArgumentException!</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getXSSFBSheetComments--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getXSSFBSheetComments</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/binary/XSSFBCommentsTable.html"
                                        title="class in org.apache.poi.xssf.binary">XSSFBCommentsTable</a>&nbsp;getXSSFBSheetComments()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFBReader.SheetIterator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFBReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/xssf/eventusermodel/XSSFReader.html"
               title="class in org.apache.poi.xssf.eventusermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/eventusermodel/XSSFBReader.SheetIterator.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFBReader.SheetIterator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
